Package org.apache.nutch.service.resources

## Class DbResource

- java.lang.Object
- - org.apache.nutch.service.resources.AbstractResource
  - - org.apache.nutch.service.resources.DbResource

-     @Path("/db")
      public class DbResource
      extends AbstractResource

- - ### Field Summary

    - ### Fields inherited from class org.apache.nutch.service.resources.AbstractResource

      `configManager, jobManager, server`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DbResource()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<FetchNodeDbInfo>` | `fetchDb​(int to, int from)` |
    `javax.ws.rs.core.Response` | `readdb​(DbQuery dbQuery)` |

    - ### Methods inherited from class org.apache.nutch.service.resources.AbstractResource

      `throwBadRequestException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DbResource

          public DbResource()

  - ### Method Detail

    - #### readdb

          @POST
          @Path("/crawldb")
          @Consumes("application/json")
          public javax.ws.rs.core.Response readdb​(DbQuery dbQuery)

    - #### fetchDb

          @GET
          @Path("/fetchdb")
          public List<FetchNodeDbInfo> fetchDb​(@DefaultValue("0") @QueryParam("to")
                                               int to,
                                               @DefaultValue("0") @QueryParam("from")
                                               int from)